/**************************************************
 *                                                *
 *  JBoss Labs: Creating Professional Open Source *
 *                                                *
 *   Distributable under LGPL license.            *
 *   See terms of license at gnu.org.             *
 *                                                *
 *************************************************/
package org.jboss.wiki;

import java.io.File;
import java.util.Set;

/**
 * <p></p>
 * 
 */
public interface MediaDataSource {
/**
 * <p>Does ...</p>
 * 
 * 
 * @return 
 */
    public boolean preSave();
    
/**
 * <p>Does ...</p>
 * 
 * 
 * @param page 
 * @return 
 * @param languageCode 
 */
    public boolean savePage(WikiPage page, String languageCode);
/**
 * <p>Does ...</p>
 * 
 * MediaDataSource definition is in Flux.
 * 
 * @return 
 */
    public boolean postSave();
/**
 * <p>Does ...</p>
 * 
 * 
 * @return 
 */
    public boolean preGet();
/**
 * <p>Does ...</p>
 * 
 * 
 * @return 
 * @param pageName 
 */
    public WikiPage getPage(String pageName);
/**
 * <p>Does ...</p>
 * 
 * 
 * @return 
 */
    public boolean postGet();
/**
 * <p>Does ...</p>
 * 
 * 
 * @param pageName 
 * @return 
 * @param languageCode 
 */
    public WikiPage getPage(String pageName, String languageCode);
    
    public WikiPage getPageAtVersion(WikiPage originPage, boolean loadContent, String languageCode, int version);
    
    public WikiPage getPageAtVersion(WikiPage originPage, boolean loadContent, int version);
    
    public boolean pageExists(String pageName);
    
    public void getContentAtVersion(WikiPage page, boolean loadContent,
			int version);
    
    public void addAtachement(File attFile, String attName, WikiPage page, String user);
    
    public Set<String> getAttachementsSet(WikiPage page);
    
    public Set<String> getAllPageNames();
}


