/**************************************************
 *                                                *
 *  JBoss Labs: Creating Professional Open Source *
 *                                                *
 *   Distributable under LGPL license.            *
 *   See terms of license at gnu.org.             *
 *                                                *
 *************************************************/
 package org.jboss.wiki;

/**
 *
 * @author <a href="mailto:dsicore@jboss.org">Damon Sicore</a>
 * @author <a href="mailto:tomasz.szymanski@jboss.com">Tomasz Szymanski</a>
 * @version $Id$
 */
 
import org.jboss.portal.core.model.User;

/**
 * <p></p>
 * 
 */
public class WikiContext {

/**
 * <p>Represents ...</p>
 * 
 */
    private User user;

/**
 * <p>Represents ...</p>
 * 
 */
    private WikiType requestedType;
/**
 * <p></p>
 * 
 */
    private WikiSession wikiSession;
    
    public WikiContext(User user, WikiType requestedType, WikiSession wikiSession) {
    	this.user = user;
    	this.requestedType = requestedType;
    	this.wikiSession = wikiSession;
    }

	public WikiType getRequestedType() {
		return requestedType;
	}


	public User getUser() {
		return user;
	}

	
	public WikiPage process(WikiPage wikiPage) {
		return requestedType.process(wikiPage, wikiSession);
	}

	
 }
